Name:          avrdude
Version:       7.1
Release:       1mamba
Summary:       AVR Downloader/UploaDEr
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.nongnu.org/avrdude/
Source:        https://github.com/avrdudes/avrdude.git/v%{version}/avrdude-%{version}.tar.bz2
#Source:        http://download.savannah.gnu.org/releases/avrdude/avrdude-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libelf-devel
BuildRequires: libftdi-devel
BuildRequires: libftdi1-devel
BuildRequires: libhidapi-devel
BuildRequires: libreadline-devel
BuildRequires: libusb-compat-devel
BuildRequires: libusb-devel
## AUTOBUILDREQ-END
BuildRequires: libftdi1-devel >= 1.1
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires(post): %{__install_info}

%description
AVRDUDE is an utility to download/upload/manipulate the ROM and EEPROM contents of AVR microcontrollers using the in-system programming technique (ISP).

%package -n lib%{name}
Summary:       %{name} libraries
Group:         System/Libraries

%description -n lib%{name}
AVRDUDE is an utility to download/upload/manipulate the ROM and EEPROM contents of AVR microcontrollers using the in-system programming technique (ISP).
This package contains the %{name} shared libraries.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
AVRDUDE is an utility to download/upload/manipulate the ROM and EEPROM contents of AVR microcontrollers using the in-system programming technique (ISP).
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q

%build
%cmake -d build \
   -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir} \
   -DBUILD_DOC=ON

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info %{name}.info
:

%preun
%uninstall_info %{name}.info
:

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/avrdude.conf
%{_bindir}/avrdude
%{_mandir}/man1/avrdude.1*
%{_infodir}/*.info.*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libavrdude.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/libavrdude.h
%{_libdir}/libavrdude.so
%dir %{_docdir}/avrdude
%{_docdir}/avrdude/*

%changelog
* Tue May 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 7.1-1mamba
- update to 7.1

* Mon May 09 2022 Automatic Build System <autodist@mambasoft.it> 7.0-1mamba
- automatic version update by autodist

* Fri Dec 17 2021 Automatic Build System <autodist@mambasoft.it> 6.4-1mamba
- automatic version update by autodist

* Sun Feb 28 2016 Automatic Build System <autodist@mambasoft.it> 6.3-1mamba
- automatic version update by autodist

* Tue Dec 08 2015 Automatic Build System <autodist@mambasoft.it> 6.2-1mamba
- automatic version update by autodist

* Sun Apr 06 2014 Automatic Build System <autodist@mambasoft.it> 6.1-1mamba
- automatic version update by autodist

* Sun Feb 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.1-2mamba
- rebuilt with libftdi 1.1

* Thu Sep 19 2013 Automatic Build System <autodist@mambasoft.it> 6.0.1-1mamba
- automatic update by autodist

* Thu Jun 07 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 5.11.1-2mamba
- fixed group

* Wed Mar 21 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 5.11.1-1mamba
- package created by autospec
